Update Qualcomm QCA6174-HMC (DW1820) to comply with CE-RED (Radio Emissions Directive)

Bug #1752044 reported by Anthony Wong on 2018-02-27
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
Medium
Seth Forshee
Xenial
Medium
Unassigned
Bionic
Medium
Seth Forshee

Bug Description

SRU Justification

Impact: New ath10k firmware is needed for compliance with CE-RED.

Fix: Updated firmware files.

Regression Potential: This update has been in upstream linux-firmware for a while now. While regressions are possible, the firmware should have seen a lot of use by now.

---

To comply with CE-RED (Radio Emissions Directive), ath10k/QCA6174/hw3.0/board-2.bin and ath10k/QCA6174/hw3.0/firmware-6.bin have to be updated.

The commits are:

commit 1d1dd4be21cde408b0fb12774d477293bc8d4cc2
Author: Kalle Valo <email address hidden>
AuthorDate: Thu Feb 15 15:10:51 2018 +0200
Commit: Kalle Valo <email address hidden>
CommitDate: Thu Feb 15 15:10:51 2018 +0200

    ath10k: QCA6174 hw3.0: update board-2.bin

    Signed-off-by: Kalle Valo <email address hidden>

commit 6f1d3b7cfeef426f3c3d79bf916e3bef8f82a3dc
Author: Kalle Valo <email address hidden>
AuthorDate: Thu Feb 15 15:10:51 2018 +0200
Commit: Kalle Valo <email address hidden>
CommitDate: Thu Feb 15 15:10:51 2018 +0200

    ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00079-QCARMSWPZ-1

    Signed-off-by: Kalle Valo <email address hidden>

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
tags: added: originate-from-1738928 somerville
Changed in linux-firmware (Ubuntu Xenial):
status: New → Confirmed
importance: Undecided → Medium
Seth Forshee (sforshee) wrote :

These commits have been picked up when rebasing on upstream.

Changed in linux-firmware (Ubuntu Bionic):
assignee: nobody → Seth Forshee (sforshee)
status: Confirmed → Fix Committed
Alex Tu (alextu) on 2018-04-18
tags: added: lp1738954
Seth Forshee (sforshee) on 2018-04-24
Changed in linux-firmware (Ubuntu Xenial):
status: Confirmed → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Seth Forshee (sforshee) on 2018-04-24
description: updated

Hello Anthony, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

AceLan Kao (acelankao) on 2018-05-09
tags: added: verification-done-xenial
Brian Murray (brian-murray) wrote :

Could you please provide some information about how you verified the fix for xenial?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.18

---------------
linux-firmware (1.157.18) xenial; urgency=medium

  * Redpine: BLE scanning for nearby beacons per second is too low and result
    high loss rate (LP: #1753439)
    - UBUNTU: linux-firmware: update firmware images for Redpine 9113 chipset

  * Redpine: BLE radio lost issue (LP: #1757443)
    - UBUNTU: linux-firmware: update firmware images for Redpine 9113 chipset

  * Update firmware for 18.04 hwe kernel (LP: #1763823)
    - linux-firmware: liquidio: update firmware to v1.4.2
    - linux-firmware: liquidio: update firmware to v1.5.1
    - linux-firmware: liquidio: update firmware to v1.6.0
    - firmware: tegra: Add VIC firmware
    - linux-firmware: liquidio: update firmware to v1.6.1
    - rtlwifi: rtl8822be: Add firmware for new driver/device
    - linux-firmware/i915: Add Geminilake DMC version 1.04
    - iwlwifi: add new firmware version 34 for 8000C and 8265
    - linux-firmware: liquidio: update firmware to v1.7.0
    - iwlwifi: add firmware version 34 for new 9000 series
    - amdgpu: add new CP firmware for polaris chips
    - Mellanox: Add new mlxsw_spectrum firmware 13.1530.152
    - brcm: introduce firmware for bcm43430 revision 0
    - amdgpu: add firmware for Raven
    - brcm: add CYW4373 firmwares and Cypress license file
    - amdgpu: update vcn firmware for raven
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - Revert "UBUNTU: Remove duplicate bnx2 firmware"
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - UBUNTU: update nic-firmware.lst for 18.04 hwe kernel

  * Update Qualcomm QCA6174-HMC (DW1820) to comply with CE-RED (Radio
    Emissions Directive) (LP: #1752044)
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00079-QCARMSWPZ-1
    - ath10k: QCA6174 hw3.0: update board-2.bin

 -- Seth Forshee <email address hidden> Tue, 24 Apr 2018 10:58:13 -0500

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers